//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	
	using System.Runtime.InteropServices;
	using System.Reflection;
	using System.IO;
	using System.Diagnostics;    
	using Microsoft.Win32;
	
    public partial class Screen1
	{		
		private string ExcecutingPath
		{
			get { return Path.GetDirectoryName(Assembly.GetExecutingAssembly().ManifestModule.FullyQualifiedName); }
		}
		
		private enum Flags
		{
			SND_SYNC = 0x0000,  /* play synchronously (default) */
			SND_ASYNC = 0x0001,  /* play asynchronously */
			SND_NODEFAULT = 0x0002,  /* silence (!default) if sound not found */
			SND_MEMORY = 0x0004,  /* pszSound points to a memory file */
			SND_LOOP = 0x0008,  /* loop the sound until next sndPlaySound */
			SND_NOSTOP = 0x0010,  /* don't stop any currently playing sound */
			SND_NOWAIT = 0x00002000, /* don't wait if the driver is busy */
			SND_ALIAS = 0x00010000, /* name is a registry alias */
			SND_ALIAS_ID = 0x00110000, /* alias is a predefined ID */
			SND_FILENAME = 0x00020000, /* name is file name */
			SND_RESOURCE = 0x00040004  /* name is resource name or atom */
		}
		
		private bool updateReg = false;
		private static readonly string KeyVolRegKey = @"HKEY_CURRENT_USER\ControlPanel\Volume";
		
		//FOR QTERM-A7/A12
		[DllImport("coredll.dll", EntryPoint = "PlaySound", SetLastError = true)]
		private extern static int WCE_PlaySound(string szSound, IntPtr hMod, int flags);
		
		[DllImport("coredll.dll")]
		private extern static void AudioUpdateFromRegistry();	
		
		/*//FOR PC
		[DllImport("winmm.dll", SetLastError=true)]
		private extern static bool PlaySound(string pszSound, UIntPtr hmod, uint fdwSound);			
		PlaySound(fileName, UIntPtr.Zero, (uint) (Flags.SND_ASYNC | Flags.SND_FILENAME));*/
		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			if (updateReg == false) 
			{ 
				Registry.SetValue(KeyVolRegKey, "Mute", 0x03, RegistryValueKind.DWord);
				AudioUpdateFromRegistry();
				updateReg = true;
			}
			
			string fileName = ExcecutingPath + "\\Project Files\\Frogs.wav";
			WCE_PlaySound(fileName, IntPtr.Zero, (int) (Flags.SND_ASYNC | Flags.SND_FILENAME));			
		}
    }
}
